import { MastraBase } from '../base.js';
import '@opentelemetry/api';
import '../index-Cktbxvxx.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';

declare abstract class MastraBundler extends MastraBase {
    constructor({ name, component }: {
        name: string;
        component?: 'BUNDLER' | 'DEPLOYER';
    });
    loadEnvVars(): Promise<Map<string, string>>;
    abstract prepare(outputDirectory: string): Promise<void>;
    abstract getEnvFiles(): Promise<string[]>;
    abstract bundle(mastraDir: string, outputDirectory: string): Promise<void>;
}

export { MastraBundler };
