import { embed, embedMany } from './chunk-5NQ3MEZM.js';
import { MastraBase } from './chunk-WLG2YHOZ.js';
import { __name } from './chunk-AJJZUHB4.js';

// src/vector/index.ts
var _MastraVector = class _MastraVector extends MastraBase {
  constructor() {
    super({
      name: "MastraVector",
      component: "VECTOR"
    });
  }
  /**
  * Embeds text using the specified embedding model and options. Always returns embeddings as an array for simplicity
  */
  async embed(text, options) {
    if (typeof text === `string`) {
      const result2 = await embed(text, options);
      return {
        ...result2,
        embeddings: [
          result2.embedding
        ]
      };
    }
    const result = await embedMany(text, options);
    return {
      ...result,
      embeddings: result.embeddings
    };
  }
};
__name(_MastraVector, "MastraVector");
var MastraVector = _MastraVector;

export { MastraVector };
