import { executeHook, AvailableHooks } from './chunk-HBTQNIAX.js';
import { __name } from './chunk-AJJZUHB4.js';

// src/eval/metric.ts
var _Metric = class _Metric {
};
__name(_Metric, "Metric");
var Metric = _Metric;

// src/eval/evaluation.ts
async function evaluate({ agentName, input, metric, output, runId, globalRunId, testInfo }) {
  const runIdToUse = runId || crypto.randomUUID();
  const metricResult = await metric.measure(input.toString(), output);
  const traceObject = {
    input: input.toString(),
    output,
    result: metricResult,
    meta: {
      ...testInfo && {
        testName: testInfo.testName,
        testPath: testInfo.testPath
      },
      globalRunId,
      runId: runIdToUse,
      agentName,
      timestamp: (/* @__PURE__ */ new Date()).toISOString(),
      metricName: metric.constructor.name
    }
  };
  executeHook(AvailableHooks.ON_EVALUATION, traceObject);
  return metricResult;
}
__name(evaluate, "evaluate");

export { Metric, evaluate };
