import { MastraBase } from './chunk-WLG2YHOZ.js';
import { __name } from './chunk-AJJZUHB4.js';
import dotenv from 'dotenv';
import { readFile } from 'fs/promises';

var _MastraBundler = class _MastraBundler extends MastraBase {
  constructor({ name, component = "BUNDLER" }) {
    super({
      component,
      name
    });
  }
  async loadEnvVars() {
    const envVars = /* @__PURE__ */ new Map();
    for (const file of await this.getEnvFiles()) {
      const content = await readFile(file, "utf-8");
      const config = dotenv.parse(content);
      Object.entries(config).forEach(([key, value]) => {
        envVars.set(key, value);
      });
    }
    return envVars;
  }
};
__name(_MastraBundler, "MastraBundler");
var MastraBundler = _MastraBundler;

export { MastraBundler };
