import { M as MastraEngine, D as DatabaseConfig, B as BaseEntity, a as BaseRecord, Q as QueryOptions } from '../engine-EwEG-4Iv.js';
export { b as FilterCondition, F as FilterOperators, P as PropertyType, S as SortOrder } from '../engine-EwEG-4Iv.js';
import '../base.js';
import '@opentelemetry/api';
import '../index-Cktbxvxx.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';

declare class MockMastraEngine extends MastraEngine {
    private entities;
    private records;
    constructor(config: DatabaseConfig);
    createEntity(params: {
        name: string;
        connectionId: string;
    }): Promise<BaseEntity>;
    getEntityById(params: {
        id: string;
    }): Promise<BaseEntity>;
    getEntity({ connectionId, name }: {
        name?: string;
        connectionId?: string;
    }): Promise<BaseEntity | undefined>;
    deleteEntityById({ id }: {
        id: string;
    }): Promise<BaseEntity>;
    upsertRecords(params: {
        entityId: string;
        records: Pick<BaseRecord, 'externalId' | 'data' | 'entityType'>[];
    }): Promise<void>;
    getRecordsByEntityId(params: {
        entityId: string;
    }): Promise<BaseRecord[]>;
    getRecordsByEntityNameAndExternalId({ entityName, connectionId, externalId, }: {
        entityName: string;
        connectionId: string;
        externalId: string;
    }): Promise<BaseRecord[]>;
    getRecordsByEntityName({ name, connectionId }: {
        name: string;
        connectionId: string;
    }): Promise<BaseRecord[]>;
    getRecords({ entityName, connectionId, options, }: {
        entityName: string;
        options: QueryOptions;
        connectionId: string;
    }): Promise<BaseRecord[]>;
    syncRecords({ connectionId, name, records, lastSyncId, }: {
        name: string;
        connectionId: string;
        records: Pick<BaseRecord, 'externalId' | 'data'>[];
        lastSyncId?: string;
    }): Promise<void>;
}

export { BaseEntity, BaseRecord, DatabaseConfig, MastraEngine, MockMastraEngine, QueryOptions };
