import { M as Metric, a as MetricResult } from '../metric-D2V4CR8D.js';

type Handler<T = unknown> = (event: T) => void;

declare enum AvailableHooks {
    ON_EVALUATION = "onEvaluation",
    ON_GENERATION = "onGeneration"
}
declare function registerHook(hook: AvailableHooks.ON_EVALUATION, action: Handler<{
    input: string;
    output: string;
}>): void;
declare function registerHook(hook: AvailableHooks.ON_GENERATION, action: Handler<{
    input: string;
    output: string;
    metric: Metric;
    runId: string;
    agentName: string;
}>): void;
declare function executeHook(hook: AvailableHooks.ON_EVALUATION, action: {
    input: string;
    output: string;
    result: MetricResult;
}): void;
declare function executeHook(hook: AvailableHooks.ON_GENERATION, action: {
    input: string;
    output: string;
    metric: Metric;
    runId: string;
    agentName: string;
}): void;

export { AvailableHooks, executeHook, registerHook };
