export { CohereRelevanceScorer, MastraAgentRelevanceScorer, createSimilarityPrompt } from './chunk-SMVXLIV7.js';
import { MastraStorage, MastraStorageLibSql } from './chunk-Z2KRB7Z4.js';
import { MastraMemory } from './chunk-HILJW64N.js';
import { MastraTTS } from './chunk-ADU6ZLCT.js';
import { MastraVector } from './chunk-J556NL2S.js';
import { Workflow } from './chunk-FFZKACHZ.js';
export { Step, createStep, getStepResult, isErrorEvent, isTransitionEvent, isVariableReference } from './chunk-FFZKACHZ.js';
import { embed, embedMany } from './chunk-5NQ3MEZM.js';
export { BaseFilterTranslator } from './chunk-D6SEHWUL.js';
export { Metric, evaluate } from './chunk-QLN26TPI.js';
import { Integration, OpenAPIToolset } from './chunk-42DYOLDV.js';
import { Tool } from './chunk-VOUPGVRD.js';
export { createTool } from './chunk-VOUPGVRD.js';
export { Mastra } from './chunk-KHPTZCPA.js';
import { Agent } from './chunk-SKEBFXFK.js';
export { AvailableHooks, executeHook, registerHook } from './chunk-HBTQNIAX.js';
export { Telemetry } from './chunk-SDKEPBBH.js';
import './chunk-Y7YCQUOD.js';
export { InstrumentClass, hasActiveTelemetry, withSpan } from './chunk-6ZVFVYLE.js';
export { deepMerge, delay, jsonSchemaPropertiesToTSTypes, jsonSchemaToModel, maskStreamTags } from './chunk-KNPBNSJ7.js';
import { MastraDeployer } from './chunk-BCNHUSA6.js';
import './chunk-RIATJJC3.js';
export { FilterOperators, MastraEngine, MockMastraEngine, PropertyType } from './chunk-NIYVERVP.js';
import { MastraBase } from './chunk-WLG2YHOZ.js';
import { createLogger } from './chunk-IO3KMCXV.js';
export { LogLevel, Logger, LoggerTransport, MultiLogger, RegisteredLogger, combineLoggers, noopLogger } from './chunk-IO3KMCXV.js';
import { __name } from './chunk-AJJZUHB4.js';

// src/agent/index.warning.ts
var _Agent = class _Agent extends Agent {
  constructor(config) {
    super(config);
    this.logger.warn('Please import "Agent from "@mastra/core/agent" instead of "@mastra/core"');
  }
};
__name(_Agent, "Agent");
var Agent2 = _Agent;

// src/base.warning.ts
var _MastraBase = class _MastraBase extends MastraBase {
  constructor(args) {
    super(args);
    this.logger.warn('Please import "MastraBase" from "@mastra/core/base" instead of "@mastra/core"');
  }
};
__name(_MastraBase, "MastraBase");
var MastraBase2 = _MastraBase;

// src/deployer/index.warning.ts
var _MastraDeployer = class _MastraDeployer extends MastraDeployer {
  constructor(args) {
    super(args);
    this.logger.warn('Please import "MastraDeployer" from "@mastra/core/deployer" instead of "@mastra/core"');
  }
};
__name(_MastraDeployer, "MastraDeployer");
var MastraDeployer2 = _MastraDeployer;

// src/embeddings/index.warning.ts
async function embed2(value, embedding) {
  console.warn('Please import "embed" from "@mastra/core/embeddings" instead of "@mastra/core"');
  return embed(value, embedding);
}
__name(embed2, "embed");
async function embedMany2(value, embedding) {
  console.warn('Please import "embedMany" from "@mastra/core/embeddings" instead of "@mastra/core"');
  return embedMany(value, embedding);
}
__name(embedMany2, "embedMany");

// src/storage/base.warning.ts
var _MastraStorage = class _MastraStorage extends MastraStorage {
  constructor({ name }) {
    super({
      name
    });
    this.logger.warn('Please import "MastraStorage" from "@mastra/core/storage" instead of "@mastra/core"');
  }
};
__name(_MastraStorage, "MastraStorage");
var MastraStorage2 = _MastraStorage;

// src/storage/libsql.warning.ts
var _MastraStorageLibSql = class _MastraStorageLibSql extends MastraStorageLibSql {
  constructor(args) {
    super(args);
    this.logger.warn('Please import "MastraStorageLibSql" from "@mastra/core/storage" instead of "@mastra/core"');
  }
};
__name(_MastraStorageLibSql, "MastraStorageLibSql");
var MastraStorageLibSql2 = _MastraStorageLibSql;

// src/integration/integration.warning.ts
var _Integration = class _Integration extends Integration {
  constructor() {
    super();
    console.warn('Please import "Integration" from "@mastra/core/integration" instead of "@mastra/core"');
  }
};
__name(_Integration, "Integration");
var Integration2 = _Integration;

// src/integration/openapi-toolset.warning.ts
var _OpenAPIToolset = class _OpenAPIToolset extends OpenAPIToolset {
  constructor() {
    super();
    console.warn('Please import "OpenAPIToolset" from "@mastra/core/integration" instead of "@mastra/core"');
  }
};
__name(_OpenAPIToolset, "OpenAPIToolset");
var OpenAPIToolset2 = _OpenAPIToolset;

// src/logger/index.warning.ts
function createLogger2(options) {
  console.warn('Please import "createLogger" from "@mastra/core/logger" instead of "@mastra/core"');
  return createLogger(options);
}
__name(createLogger2, "createLogger");

// src/memory/index.warning.ts
var _MastraMemory = class _MastraMemory extends MastraMemory {
  constructor(_arg) {
    super({
      name: `Deprecated memory`
    });
    this.logger.warn('Please import "MastraMemory" from "@mastra/core/memory" instead of "@mastra/core"');
  }
};
__name(_MastraMemory, "MastraMemory");
var MastraMemory2 = _MastraMemory;

// src/tools/index.warning.ts
var _Tool = class _Tool extends Tool {
  constructor(opts) {
    super(opts);
    console.warn('Please import "Tool" from "@mastra/core/tools" instead of "@mastra/core"');
  }
};
__name(_Tool, "Tool");
var Tool2 = _Tool;

// src/tts/index.warning.ts
var _MastraTTS = class _MastraTTS extends MastraTTS {
  constructor(args) {
    super(args);
    this.logger.warn('Please import "MastraTTS" from "@mastra/core/tts" instead of "@mastra/core"');
  }
};
__name(_MastraTTS, "MastraTTS");
var MastraTTS2 = _MastraTTS;

// src/vector/index.warning.ts
var _MastraVector = class _MastraVector extends MastraVector {
  constructor() {
    super();
    this.logger.warn('Please import "MastraVector" from "@mastra/core/vector" instead of "@mastra/core"');
  }
};
__name(_MastraVector, "MastraVector");
var MastraVector2 = _MastraVector;

// src/workflows/workflow.warning.ts
var _Workflow = class _Workflow extends Workflow {
  constructor(args) {
    super(args);
    this.logger.warn('Please import "Workflow" from "@mastra/core/workflows" instead of "@mastra/core"');
  }
};
__name(_Workflow, "Workflow");
var Workflow2 = _Workflow;

export { Agent2 as Agent, Integration2 as Integration, MastraBase2 as MastraBase, MastraDeployer2 as MastraDeployer, MastraMemory2 as MastraMemory, MastraStorage2 as MastraStorage, MastraStorageLibSql2 as MastraStorageLibSql, MastraTTS2 as MastraTTS, MastraVector2 as MastraVector, OpenAPIToolset2 as OpenAPIToolset, Tool2 as Tool, Workflow2 as Workflow, createLogger2 as createLogger, embed2 as embed, embedMany2 as embedMany };
