import { MastraLLM } from '../../../chunk-654VMNVR.js';
import '../../../chunk-KNPBNSJ7.js';
import '../../../chunk-WLG2YHOZ.js';
import '../../../chunk-IO3KMCXV.js';
import { __name } from '../../../chunk-AJJZUHB4.js';
import { createAzure } from '@ai-sdk/azure';
import { wrapLanguageModel, extractReasoningMiddleware } from 'ai';

var _Azure = class _Azure extends MastraLLM {
  constructor({ name = "gpt-35-turbo-instruct", resourceName = process.env.AZURE_RESOURCE_NAME || "", apiKey = process.env.AZURE_API_KEY || "", apiVersion, baseURL, headers, fetch, settings }) {
    const azure = createAzure({
      resourceName,
      apiKey,
      apiVersion,
      baseURL,
      headers,
      fetch
    });
    super({
      model: azure(name, settings)
    });
  }
};
__name(_Azure, "Azure");
var Azure = _Azure;
var _AzureReasoning = class _AzureReasoning extends MastraLLM {
  constructor({ name = "gpt-35-turbo-instruct", resourceName = process.env.AZURE_RESOURCE_NAME || "", apiKey = process.env.AZURE_API_KEY || "", apiVersion, baseURL, headers, fetch, settings }) {
    const azure = createAzure({
      resourceName,
      apiKey,
      apiVersion,
      baseURL,
      headers,
      fetch
    });
    const enhancedModel = wrapLanguageModel({
      model: azure(name, settings),
      middleware: extractReasoningMiddleware({
        tagName: "think"
      })
    });
    super({
      model: enhancedModel
    });
  }
};
__name(_AzureReasoning, "AzureReasoning");
var AzureReasoning = _AzureReasoning;

export { Azure, AzureReasoning };
