import { openaiCompat } from '../../../chunk-T5ZUXYWC.js';
import { MastraLLM } from '../../../chunk-654VMNVR.js';
import '../../../chunk-KNPBNSJ7.js';
import '../../../chunk-WLG2YHOZ.js';
import '../../../chunk-IO3KMCXV.js';
import { __name } from '../../../chunk-AJJZUHB4.js';

// src/llm/model/providers/baseten.ts
var _BaseTen = class _BaseTen extends MastraLLM {
  constructor({ name = "llama-3.1-70b-instruct", apiKey = process.env.BASETEN_API_KEY || "", baseURL = "https://bridge.baseten.co/v1/direct", fetch, settings } = {}) {
    if (fetch) {
      throw new Error("Custom fetch is required to use BaseTen. See https://docs.baseten.co/api-reference/openai for more information");
    }
    const baseten = openaiCompat({
      baseURL,
      modelName: name,
      apiKey,
      fetch,
      settings
    });
    super({
      model: baseten
    });
  }
};
__name(_BaseTen, "BaseTen");
var BaseTen = _BaseTen;

export { BaseTen };
