import { MastraLLM } from '../../../chunk-654VMNVR.js';
import '../../../chunk-KNPBNSJ7.js';
import '../../../chunk-WLG2YHOZ.js';
import '../../../chunk-IO3KMCXV.js';
import { __name } from '../../../chunk-AJJZUHB4.js';
import { createFireworks } from '@ai-sdk/fireworks';
import { wrapLanguageModel, extractReasoningMiddleware } from 'ai';

var _Fireworks = class _Fireworks extends MastraLLM {
  constructor({ name, apiKey = process.env.FIREWORKS_API_KEY || "" }) {
    const fireworksModel = createFireworks({
      apiKey
    });
    super({
      model: fireworksModel(name)
    });
  }
};
__name(_Fireworks, "Fireworks");
var Fireworks = _Fireworks;
var _FireworksReasoning = class _FireworksReasoning extends MastraLLM {
  constructor({ name, apiKey = process.env.FIREWORKS_API_KEY || "" }) {
    const fireworksModel = createFireworks({
      apiKey
    });
    const enhancedModel = wrapLanguageModel({
      model: fireworksModel(name),
      middleware: extractReasoningMiddleware({
        tagName: "think"
      })
    });
    super({
      model: enhancedModel
    });
  }
};
__name(_FireworksReasoning, "FireworksReasoning");
var FireworksReasoning = _FireworksReasoning;

export { Fireworks, FireworksReasoning };
