import { M as MastraLLM } from '../../../model-CD0nIpJn.js';
import 'ai';
import 'json-schema';
import 'zod';
import '../../../index-D-mqcYwN.js';
import '../../../base.js';
import '@opentelemetry/api';
import '../../../index-Cktbxvxx.js';
import 'pino';
import 'stream';
import '../../../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../../../metric-D2V4CR8D.js';
import 'sift';
import '../../../types-M16hSruO.js';
import '../../../vector/index.js';
import '../../../engine-EwEG-4Iv.js';
import '../../../tts/index.js';

interface GoogleGenerativeAISettings {
    /**
      Optional.
      The name of the cached content used as context to serve the prediction.
      Format: cachedContents/{cachedContent}
         */
    cachedContent?: string;
    /**
     * Optional. Enable structured output. Default is true.
     *
     * This is useful when the JSON Schema contains elements that are
     * not supported by the OpenAPI schema version that
     * Google Generative AI uses. You can use this to disable
     * structured outputs if you need to.
     */
    structuredOutputs?: boolean;
    /**
      Optional. A list of unique safety settings for blocking unsafe content.
         */
    safetySettings?: Array<{
        category: 'HARM_CATEGORY_HATE_SPEECH' | 'HARM_CATEGORY_DANGEROUS_CONTENT' | 'HARM_CATEGORY_HARASSMENT' | 'HARM_CATEGORY_SEXUALLY_EXPLICIT';
        threshold: 'HARM_BLOCK_THRESHOLD_UNSPECIFIED' | 'BLOCK_LOW_AND_ABOVE' | 'BLOCK_MEDIUM_AND_ABOVE' | 'BLOCK_ONLY_HIGH' | 'BLOCK_NONE';
    }>;
}
type GoogleModel = 'gemini-1.5-pro-latest' | 'gemini-1.5-pro' | 'gemini-1.5-flash-latest' | 'gemini-1.5-flash' | 'gemini-2.0-flash-exp-latest' | 'gemini-2.0-flash-thinking-exp-1219' | 'gemini-exp-1206' | (string & {});
declare class Gemini extends MastraLLM {
    constructor({ name, apiKey, settings, }?: {
        name?: GoogleModel;
        apiKey?: string;
        settings?: GoogleGenerativeAISettings;
    });
}

export { Gemini, type GoogleGenerativeAISettings, type GoogleModel };
