import { MastraLLM } from '../../../chunk-654VMNVR.js';
import '../../../chunk-KNPBNSJ7.js';
import '../../../chunk-WLG2YHOZ.js';
import '../../../chunk-IO3KMCXV.js';
import { __name } from '../../../chunk-AJJZUHB4.js';
import { createGroq } from '@ai-sdk/groq';
import { wrapLanguageModel, extractReasoningMiddleware } from 'ai';

var _Groq = class _Groq extends MastraLLM {
  constructor({ name = "gemma2-9b-it", apiKey = process.env.GROQ_API_KEY || "", baseURL = "https://api.groq.com/openai/v1" } = {}) {
    const groqModel = createGroq({
      baseURL,
      apiKey
    });
    super({
      model: groqModel(name)
    });
  }
};
__name(_Groq, "Groq");
var Groq = _Groq;
var _GroqReasoning = class _GroqReasoning extends MastraLLM {
  constructor({ name = "deepseek-r1-distill-llama-70b", apiKey = process.env.GROQ_API_KEY || "", baseURL = "https://api.groq.com/openai/v1" } = {}) {
    const groqModel = createGroq({
      baseURL,
      apiKey
    });
    const enhancedModel = wrapLanguageModel({
      model: groqModel(name),
      middleware: extractReasoningMiddleware({
        tagName: "think"
      })
    });
    super({
      model: enhancedModel
    });
  }
};
__name(_GroqReasoning, "GroqReasoning");
var GroqReasoning = _GroqReasoning;

export { Groq, GroqReasoning };
