import { MastraLLM } from '../../../chunk-654VMNVR.js';
import '../../../chunk-KNPBNSJ7.js';
import '../../../chunk-WLG2YHOZ.js';
import '../../../chunk-IO3KMCXV.js';
import { __name } from '../../../chunk-AJJZUHB4.js';
import { simulateReadableStream } from 'ai';
import { MockLanguageModelV1 } from 'ai/test';

var _MockProvider = class _MockProvider extends MastraLLM {
  constructor({ spyGenerate, spyStream, objectGenerationMode, mockText = "Hello, world!" }) {
    const mockModel = new MockLanguageModelV1({
      defaultObjectGenerationMode: objectGenerationMode,
      doGenerate: /* @__PURE__ */ __name(async (props) => {
        if (spyGenerate) {
          spyGenerate(props);
        }
        if (objectGenerationMode === "json") {
          return {
            rawCall: {
              rawPrompt: null,
              rawSettings: {}
            },
            finishReason: "stop",
            usage: {
              promptTokens: 10,
              completionTokens: 20
            },
            text: JSON.stringify(mockText)
          };
        }
        return {
          rawCall: {
            rawPrompt: null,
            rawSettings: {}
          },
          finishReason: "stop",
          usage: {
            promptTokens: 10,
            completionTokens: 20
          },
          text: typeof mockText === "string" ? mockText : JSON.stringify(mockText)
        };
      }, "doGenerate"),
      doStream: /* @__PURE__ */ __name(async (props) => {
        if (spyStream) {
          spyStream(props);
        }
        const text = typeof mockText === "string" ? mockText : JSON.stringify(mockText);
        const chunks = text.split(" ").map((word) => ({
          type: "text-delta",
          textDelta: word + " "
        }));
        return {
          stream: simulateReadableStream({
            chunks: [
              ...chunks,
              {
                type: "finish",
                finishReason: "stop",
                logprobs: undefined,
                usage: {
                  completionTokens: 10,
                  promptTokens: 3
                }
              }
            ]
          }),
          rawCall: {
            rawPrompt: null,
            rawSettings: {}
          }
        };
      }, "doStream")
    });
    super({
      model: mockModel
    });
  }
};
__name(_MockProvider, "MockProvider");
var MockProvider = _MockProvider;

export { MockProvider };
