import { z } from 'zod';
import { s as ToolExecutionContext, q as ToolAction, d as MastraPrimitives } from '../index-D-mqcYwN.js';
export { C as CoreTool } from '../index-D-mqcYwN.js';
import 'ai';
import 'json-schema';
import '../base.js';
import '@opentelemetry/api';
import '../index-Cktbxvxx.js';
import 'pino';
import 'stream';
import '../telemetry-oCUM52DG.js';
import '@opentelemetry/sdk-node';
import '@opentelemetry/sdk-trace-base';
import '../metric-D2V4CR8D.js';
import 'sift';
import '../types-M16hSruO.js';
import '../vector/index.js';
import '../engine-EwEG-4Iv.js';
import '../tts/index.js';

declare class Tool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>> implements ToolAction<TId, TSchemaIn, TSchemaOut, TContext> {
    id: TId;
    description?: string;
    inputSchema?: TSchemaIn;
    outputSchema?: TSchemaOut;
    execute: (context: TContext) => Promise<TSchemaOut extends z.ZodSchema ? z.infer<TSchemaOut> : unknown>;
    mastra?: MastraPrimitives;
    constructor(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>);
}
declare function createTool<TId extends string, TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn> = ToolExecutionContext<TSchemaIn>>(opts: ToolAction<TId, TSchemaIn, TSchemaOut, TContext>): Tool<TId, TSchemaIn, TSchemaOut, TContext>;

export { Tool, ToolAction, ToolExecutionContext, createTool };
